Package fr.gouv.vitam.common.database.server.elasticsearch.model

# Enum Class ElasticsearchCollections

java.lang.Object
java.lang.Enum<ElasticsearchCollections>
fr.gouv.vitam.common.database.server.elasticsearch.model.ElasticsearchCollections

All Implemented Interfaces:
  `Serializable`, `Comparable<ElasticsearchCollections>`, `Constable`

public enum ElasticsearchCollections extends Enum<ElasticsearchCollections>
Elasticsearch Collections

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCESS_CONTRACT`
  Access contract collection
  `ACCESSION_REGISTER_DETAIL`
  Accession Register detail Collection
  `ACCESSION_REGISTER_SUMMARY`
  Accession Register summary Collection
  `ACCESSION_REGISTER_SYMBOLIC`
  Accession Register detail Collection
  `AGENCIES`
  Agency collection
  `ARCHIVE_UNIT_PROFILE`
  Archive unit profile collection
  `CONTEXT`
  Context collection
  `FORMATS`
  Formats Collection
  `GRIFFIN`
  `INGEST_CONTRACT`
  Ingest contract collection
  `MANAGEMENT_CONTRACT`
  Management contract collection
  `OBJECTGROUP`
  ObjectGroup Collection
  `ONTOLOGY`
  Ontology collection
  `OPERATION`
  Operation Collection
  `PRESERVATION_SCENARIO`
  preservationscenario collection
  `PROFILE`
  Profile collection
  `RULES`
  Rules Collection
  `SCHEMA`
  Schema
  `SECURITY_PROFILE`
  Security profile collection
  `UNIT`
  Unit Collection

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getIndexName()`
  `String`
  `getMapping()`
  `InputStream`
  `getMappingAsInputStream()`
  Retrieve Mapping as an inputStream
  `static ElasticsearchCollections`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ElasticsearchCollections[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNIT

    public static final ElasticsearchCollections UNIT
    Unit Collection

  - ### OBJECTGROUP

    public static final ElasticsearchCollections OBJECTGROUP
    ObjectGroup Collection

  - ### FORMATS

    public static final ElasticsearchCollections FORMATS
    Formats Collection

  - ### RULES

    public static final ElasticsearchCollections RULES
    Rules Collection

  - ### ACCESSION_REGISTER_SUMMARY

    public static final ElasticsearchCollections ACCESSION_REGISTER_SUMMARY
    Accession Register summary Collection

  - ### ACCESSION_REGISTER_SYMBOLIC

    public static final ElasticsearchCollections ACCESSION_REGISTER_SYMBOLIC
    Accession Register detail Collection

  - ### ACCESSION_REGISTER_DETAIL

    public static final ElasticsearchCollections ACCESSION_REGISTER_DETAIL
    Accession Register detail Collection

  - ### INGEST_CONTRACT

    public static final ElasticsearchCollections INGEST_CONTRACT
    Ingest contract collection

  - ### ACCESS_CONTRACT

    public static final ElasticsearchCollections ACCESS_CONTRACT
    Access contract collection

  - ### MANAGEMENT_CONTRACT

    public static final ElasticsearchCollections MANAGEMENT_CONTRACT
    Management contract collection

  - ### PROFILE

    public static final ElasticsearchCollections PROFILE
    Profile collection

  - ### AGENCIES

    public static final ElasticsearchCollections AGENCIES
    Agency collection

  - ### CONTEXT

    public static final ElasticsearchCollections CONTEXT
    Context collection

  - ### SECURITY_PROFILE

    public static final ElasticsearchCollections SECURITY_PROFILE
    Security profile collection

  - ### OPERATION

    public static final ElasticsearchCollections OPERATION
    Operation Collection

  - ### ARCHIVE_UNIT_PROFILE

    public static final ElasticsearchCollections ARCHIVE_UNIT_PROFILE
    Archive unit profile collection

  - ### ONTOLOGY

    public static final ElasticsearchCollections ONTOLOGY
    Ontology collection

  - ### PRESERVATION_SCENARIO

    public static final ElasticsearchCollections PRESERVATION_SCENARIO
    preservationscenario collection

  - ### GRIFFIN

    public static final ElasticsearchCollections GRIFFIN

  - ### SCHEMA

    public static final ElasticsearchCollections SCHEMA
    Schema

- ## Method Details

  - ### values

    public static ElasticsearchCollections[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ElasticsearchCollections valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getIndexName

    public String getIndexName()

  - ### getMapping

    public String getMapping()

  - ### getMappingAsInputStream

    public InputStream getMappingAsInputStream()
    Retrieve Mapping as an inputStream
    Returns:
      Mapping as an InputStream